<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');


//08-02-2021 la construcción unserialize(OPERACIONES)[$_SESSION['accion']] da error 500 en Carreras
$arrayOperaciones=unserialize(OPERACIONES);

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

$esperarCarga=true;

if($_GET['tipo']) $_SESSION['accion']=$_GET['tipo'];

$esTransformacion=($_SESSION['accion']=='TRANSFORMACION');

unset($_SESSION['operacion']);

?>
<h2>Operaciones de <?php echo $arrayOperaciones[$_SESSION['accion']]; ?> <img src="<?php echo DIR_IMAGENES; ?>/botones/reresh.png" alt="Refrescar" class="refrescar"/></h2>

<div id="listaOrdenes" style="padding-bottom:70px">
</div>

<script>

$(document).ready(function() {

	$('#popupCargando').show();
	
	$('.refrescar').on("click",function(e) {
		$('#popupCargando').show();
		window.location.reload();
	});
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/operaciones-logisticas-listado.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" )
		.done(function(data) {
			$('#popupCargando').hide();
			$('#listaOrdenes').html(data);
	});

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
